### set users

Use the set users command to

- Display configuration attributes stored in the user table, such as whether a user must supply a password

- Configure a range of parameters associated with users, such as whether the user automatically connects to a host or is required to supply a password

- Remove a user from the user table

All set user command functions require root privileges.

The user table holds up to 64 entries.

#### Command Syntax

##### Configuration Syntax

Enter the set users command as shown below to configure user attributes:

`set users [AccessTime=timestring] [AutoConnect={on|off}] [AutoHost=ip_addr] [AutoPort=tcp_port]` `[AutoService={Default|Telnet|Rlogin|Raw}]` `[CommandLine={on|off}] [ConnectEsc={off|esc_char}] [DefaultAccess=service]` `` `` `` `` `` `[MaxPorts=number]` `[Menu={off|index_num}] [Name=name] [Network] [NewName=string]` `[Outgoing={on|off}] [p1,p2...p9= script_parm] [Password={on|off}] [Ports=ports]` `` `` `[Range=range] [RmtBusyDly=seconds] [SessionTimeout=seconds]`

##### Display Syntax

Enter the set users command as shown below to display entries from the user table:

`set users [{name=name}|{range=range}]
set users name=name network`

##### Remove Entry Syntax

Enter the set users command as shown below to remove an entry from the user table.

`set users [range=range] [rmuser={on|name}]`

#### Command Fields

Command Field | Description
AccessTime | Specifies the period in which the user can access the PortServer. Use the AccessTime field to restrict the user’s access to the time specified. Use the following keywords to specify day (or days) and hours: wk - Working week (Monday-Friday) su - Sunday mo - Monday tu - Tuesday we - Wednesday th - Thursday fr - Friday sa - Saturday Specify hour ranges in the form: hr:min-hr:min or hr-hr. Use spaces to separate keywords and then enclose the entire string in quotation marks. Here are some examples: Examples: `AccessTime=wk9:00-17:00` Provides access Monday through Friday from 9:00 a.m. until 5:00 p.m. `AccessTime="wk9:00-17:00 su0-23"` Provides access Monday through Friday from 9:00 a.m. until 5:00 p.m. and all day Sunday. `AccessTime="su mo fr"` Provides access all day Sunday, Monday, and Friday. Not supported on Digi One RealPort or PortServer TS 2/4.
AutoConnect | on - means that a telnet or rlogin user will be automatically connected to another system without accessing the device/terminal server command line once the user has satisfied login and password requirements. If you specify yes, specify the AutoHost and AutoPort or AutoService fields. off - means the user will not be automatically connected to another system. The default is off.
AutoHost | Specifies the IP address of a host to which this telnet or rlogin user should be automatically connected. Use this field only if you specify AutoConnect=yes.
AutoPort | Specifies the TCP port to use for the automatic connection. Use this field only if you specify autoconnect=yes. If you specify AutoConnect and do not specify a TCP port, the port will be determined by the AutoService field, or—if there is no AutoService field specified—the default, port 513, which is rlogin.
AutoService | Specifies an alternate way to specify a TCP port for an AutoConnect user (see the autoport field). Use this field only if you specify AutoConnect=yes. Specify one of the following services: default, telnet, rlogin, or raw (which means that data will be passed between the serial port and the TCP stream without modification). The default is the value of the AutoPort field.
CommandLine | on - Telnet and rlogin users can access the device/terminal server command line interface to issue commands. off - Telnet and rlogin users cannot access the command line interface. The default is on.
ConnectEsc | off - No escape character. esc_char - Defines the escape character for a Connect session (a local session initiated by the connect command). The escape character, followed by the Enter key, suspends the session and returns the user to the command line. To specify the combination of the Control key and another key, use the ^ character followed by the key. For example, to specify <CTRL-C>, enter ^C. The default is off.
DefaultAccess | Restricts the service accessible to the user. CommandLine - means that the device/terminal server command line is displayed to the user. Menu - means that a menu is displayed to the user. If you specify this option, you must also specify a menu number on the menu field. AutoConnect - means that the device/terminal server automatically connects the user to the destination specified on the autohost field. Outgoing - means that this user is limited to outgoing connections only. The default is CommandLine.
MaxPorts | Specifies the maximum number of ports that a telnet or rlogin user can be logged into at the same time. 0 means that the user can be simultaneously logged into all ports specified on the ports field.
Menu | Specifies the menu, identified by an index number, presented to a telnet or rlogin user. off and 0 (zero) - means that no menu is presented to the user. The default is off.
Name | Specifies the name that identifies this user.
Network | Displays network-related parameters associated with the user specified on the name field. Not supported on Digi One RealPort or PortServer TS 2/4.
NewName | Specifies a new name for a previously defined user.
Outgoing | on - means that the user can initiate outgoing connections. off - means that the user can not initiate outgoing connections.
p1, p2 ... p9 | Are integers (1-9) that can be used in the variable fields of login or dialer scripts. Not supported on Digi One RealPort or PortServer TS 2/4.
Password | on - means a device/terminal server password is required of this user. off - means a password is not required of this user. The default is on.
Ports | Specifies a port or range of ports that this user can access.
Range | Identifies an entry or range of entries in the user table to display or remove.
RLoginEsc | off - No escape character. esc_char - Defines the escape character for an rlogin session (a session initiated by the rlogin command). The escape character suspends the session and returns the user to the command line. To specify the combination of the Control key and another key, use the ^ character followed by the key. For example, to specify <CTRL-C>, enter ^C. The default is off. Not supported on Digi One RealPort or PortServer TS 2/4.
RmtBusyDly | Specifies the number of seconds that the PortServer delays before reattempting a connection to a remote system that was previously inaccessible. The range is 0 to an unlimited number of seconds. The default is 0, which means no delay. Not supported on Digi One RealPort or PortServer TS 2/4.
RmUser | name - Removes the specified user from the table. on - Removes a range of users specified in the range variable.
SessionTimeout | Specifies the maximum time in seconds that a user may be connected. The range is 0 to an unlimited number of seconds. The default is 0, which means that there is no limit. Not supported on Digi One RealPort or PortServer TS 24/.
TelnetEsc | off - No escape character. esc_char - Defines the escape character for a telnet session (a session initiated by the telnet command). The escape character suspends the session and returns the user to the command line. To specify the combination of the Control key and another key, use the ^ character followed by the key. For example, to specify <CTRL-C>, enter ^C. The default is off. Not supported on Digi One RealPort or PortServer TS 2/4.

#### Command Examples

##### Displaying the Entire User Table

In this example, the set users command displays the entire user table.

`set users`

##### Displaying a Range of Entries in the User Table

In this example, the set users command displays a range of entries in the user table.

`set users Range=2-7`

##### Removing a User from the User Table

In this example, the set users command removes a user from the user table.

`set users RmUser=user4`

##### Configuring an Autoconnect User

In this example, the set user command configures an autoconnect user.

`set users Name=user4 AutoConnect=on AutoHost=199.193.150.10 AutoPort=23 DefaultAccess=AutoConnect`